//
//  TXCPlayerAdapter.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/3/10.
//

#import <Foundation/Foundation.h>
#import "ITXCPlayerAssistor.h"
#import <TXCPlayerAdapter/TXCVideoBasicInfo.h>

@interface TXCPlayerAdapter : NSObject

/// 初始化PlayerAdapter单例
/// @param appId 应用appId (如果使用了子应用，则填subAppId)
+ (instancetype)shareAdapterWithAppId:(NSUInteger)appId;

/// 创建播放器辅助类，播放器辅助类调用requestVideoInfo后可通过ITXCPlayerAssistorProtocol协议获取到视频的相关信息
/// @param fileId 要播放视频的fileId
/// @param pSign 超级播放器签名
/// @retrun id<ITXCPlayerAssistorProtocol> 对象
+ (id<ITXCPlayerAssistorProtocol>)createPlayerAssistorWithFileId:(NSString *)fileId
                                                           pSign:(NSString *)pSign;


/// 创建播放器辅助类子类,用来返回加密的视频数据
/// @param fileId 要播放视频的fileId
/// @param pSign 超级播放器签名
/// @retrun id<ITXCPlayerAssistorProtocol> 对象
+ (id<ITXCPlayerAssistorProtocol>)createEncyptedPlayerAssistorWithFileId:(NSString *)fileId
                                                                   pSign:(NSString *)pSign;

/// 销毁Adapter，当程序退出后调用。
+ (void)destroy;

/// 销毁播放辅助类,退出播放时调用
/// @param assistor 退出播放的辅助对象
+ (void)destroyPlayerAssistor:(id<ITXCPlayerAssistorProtocol>)assistor;
@end



